<?php
session_start();
require 'conexao.php';

// Verifique se o usuário está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

// Verifique se o ID da ordem de venda foi fornecido na URL
if (isset($_GET['id'])) {
    $id_ordem_venda = $_GET['id'];
$_SESSION['idvenda'] = $id_ordem_venda;


?>



<!DOCTYPE html>
<html>
<head>
    <title>Painel de Controle</title>
<link rel="stylesheet" type="text/css" href="style.css">


    
    <title>Confirmação de Compra</title>
</head>
<body>
<img class="bn" src="bn.png" alt=""><br><br>



<?php
    // Consulte a ordem de venda pelo ID
    $sql = "SELECT * FROM ordem_vendas WHERE id = :id";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':id', $id_ordem_venda, PDO::PARAM_INT);

    if ($stmt->execute()) {
        $ordem_venda = $stmt->fetch(PDO::FETCH_ASSOC);
        if ($ordem_venda) {
            $personagem = $ordem_venda['personagem'];
            $valor = $ordem_venda['valor'];
            $data_publicacao = $ordem_venda['dataehora'];
            $_SESSION['personagemvend'] = $personagem;
            $_SESSION['valor'] = $valor;
            
            
        } else {echo "Ordem de venda, não encontrada, já foi vendida a alguém ou a você mesmo.<br><br>";
            echo '<a href="dashboard.php"><button>Página principal</button></a>';
            exit;
                    }
    } else {
        echo "Erro na consulta: " . $stmt->errorInfo()[2];
    }
}


?>




    <h1>Confirmação de Compra</h1>
    <p>Tem certeza de que deseja comprar este personagem?</p>
    <p><strong>Personagem:</strong> <?php echo $personagem; ?></p>
    <p><strong>Valor: R$ </strong> <?php echo $valor; ?></p>
    
    
       <form action="confirmarcomprapers.php" method="POST">
            <input type="hidden" name="id" value="<?php echo $id_ordem_venda; ?>">
            <button type="submit" name="confirmar" onclick="return confirm('Tem certeza de que deseja comprar este personagem?');">Confirmar Compra</button>
        </form><br>
        
        
        <form action="ordens_venda.php">
            <button type="submit" onclick="return confirm('Tem certeza de que deseja cancelar a compra?');">Cancelar compra</button>
        </form>
        
        </body>
</html>
